Oracle Solaris Third-Party Patch Update : wireshark (multiple_vulnerabilities_in_wireshark4)

This script is Copyright (C) 2015 Tenable Network Security, Inc.


Synopsis :

The remote Solaris system is missing a security patch for third-party
software.

Description :

The remote Solaris system is missing necessary patches to address
security updates :

- The dissect_drda function in
epan/dissectors/packet-drda.c in Wireshark 1.6.x through
1.6.10 and 1.8.x through 1.8.2 allows remote attackers
to cause a denial of service (infinite loop and CPU
consumption) via a small value for a certain length
field in a capture file. (CVE-2012-3548)

- The dissect_hsrp function in
epan/dissectors/packet-hsrp.c in the HSRP dissector in
Wireshark 1.8.x before 1.8.3 allows remote attackers to
cause a denial of service (infinite loop) via a
malformed packet. (CVE-2012-5237)

- epan/dissectors/packet-ppp.c in the PPP dissector in
Wireshark 1.8.x before 1.8.3 uses incorrect OUI data
structures during the decoding of (1) PPP and (2) LCP
data, which allows remote attackers to cause a denial of
service (assertion failure and application exit) via a
malformed packet. (CVE-2012-5238)

- Buffer overflow in the dissect_tlv function in
epan/dissectors/packet-ldp.c in the LDP dissector in
Wireshark 1.8.x before 1.8.3 allows remote attackers to
cause a denial of service (application crash) or
possibly have unspecified other impact via a malformed
packet. (CVE-2012-5240)

See also :

http://www.nessus.org/u?b5f8def1
http://www.nessus.org/u?1f035c3e

Solution :

Upgrade to Solaris 11.1.3.4.

Risk factor :

Medium / CVSS Base Score : 5.8
(CVSS2#AV:A/AC:L/Au:N/C:P/I:P/A:P)
Public Exploit Available : true

Family: Solaris Local Security Checks

Nessus Plugin ID: 80805 ()

Bugtraq ID:

CVE ID: CVE-2012-3548
CVE-2012-5237
CVE-2012-5238
CVE-2012-5239
CVE-2012-5240

Ready to Amp Up Your Nessus Experience?

Get Nessus Professional to scan unlimited IPs, run compliance checks & more

Buy Nessus Professional Now